package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 企业商誉
 * </p>
 *
 * @author liutao
 * @since 2023-12-05
 */
@TableName("corporate_goodwill")
public class CorporateGoodwill {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;

    /**
     * c端 企业信息id
     */
    @TableField("c_enterprise_id")
    private Long cEnterpriseId;

    /**
     * 是否存在被追偿余额、关注类余额、不良类余额 0否 1是
     */
    @TableField("recovered_balance")
    private Integer recoveredBalance;

    /**
     * 是否存在未结清信贷的关注类账户 0无 1有
     */
    @TableField("concerned_accounts_with_outstanding_credit")
    private Integer concernedAccountsWithOutstandingCredit;

    /**
     * 是否存在未结清信贷的不良类账户 0无 1有
     */
    @TableField("outstanding_non_performing_accounts")
    private Integer outstandingNonPerformingAccounts;

    /**
     * 未结清短期借款余额（单位万元）
     */
    @TableField("outstanding_balance")
    private BigDecimal outstandingBalance;

    /**
     * 征信报告id
     */
    @TableField("file_id")
    private Long fileId;

    /**
     * 是否存在被追偿余额、关注类余额、不良类余额得分
     */
    @TableField("recovered_balance_score")
    private BigDecimal recoveredBalanceScore;

    /**
     * 是否存在未结清信贷的关注类账户得分
     */
    @TableField("concerned_accounts_with_outstanding_credit_score")
    private BigDecimal concernedAccountsWithOutstandingCreditScore;

    /**
     * 是否存在未结清信贷的不良类账户得分
     */
    @TableField("outstanding_non_performing_accounts_score")
    private BigDecimal outstandingNonPerformingAccountsScore;

    /**
     * 未结清短期借款余额得分
     */
    @TableField("outstanding_balance_score")
    private BigDecimal outstandingBalanceScore;

    /**
     * 失信被执行信息得分
     */
    @TableField("shi_xin_score")
    private BigDecimal shiXinScore;

    /**
     * 被执行人信息得分
     */
    @TableField("zhi_xing_score")
    private BigDecimal zhiXingScore;

    /**
     * 限制高消费信息得分
     */
    @TableField("sumptuary_score")
    private BigDecimal sumptuaryScore;

    /**
     * 行政处罚数量得分
     */
    @TableField("administrative_penalty_score")
    private BigDecimal administrativePenaltyScore;

    /**
     * 涉诉得分
     */
    @TableField("involving_lawsuits_score")
    private BigDecimal involvingLawsuitsScore;

    /**
     * 严重违法得分
     */
    @TableField("serious_illegality_score")
    private BigDecimal seriousIllegalityScore;

    /**
     * 欠税公告得分
     */
    @TableField("tax_owe_notice_score")
    private BigDecimal taxOweNoticeScore;

    /**
     * 税收违法得分
     */
    @TableField("tax_illegal_data_score")
    private BigDecimal taxIllegalDataScore;

    /**
     * 黑名单得分
     */
    @TableField("blacklist_score")
    private BigDecimal blacklistScore;

    /**
     * 经营异常得分
     */
    @TableField("exception_data_score")
    private BigDecimal exceptionDataScore;

    /**
     * 重大负面新闻舆情得分
     */
    @TableField("News_score")
    private BigDecimal newsScore;
    /**
     *失信被执行
     */
    @TableField("shi_xin")
    private Integer shiXin;
    /**
     * 历史失信被执行
     */
    @TableField("history_shi_xin")
    private Integer historyShiXin;
    /**
     * 被执行人
     */
    @TableField("zhi_xing")
    private Integer zhiXing;
    /**
     * 历史被执行人
     */
    @TableField("history_zhi_xing")
    private Integer historyZhiXing;
    /**
     * 限制高消费
     */
    @TableField("goa_xiao")
    private Integer gaoXiao;
    /**
     * 历史限制高消费
     */
    @TableField("history_gao_xiao")
    private Integer historyGaoXiao;
    /**
     * 近两年行政处罚
     */
    @TableField("punish")
    private Integer punish;
    /**
     * 近两年行政处罚金额
     */
    @TableField("punish_amount")
    private BigDecimal punishAmount;
    /**
     * 涉诉
     */
    @TableField("document_total")
    private Integer documentTotal;
    /**
     * 涉诉（被告）
     */
    @TableField("documnet_bei_gao")
    private Integer documnetBeiGao;
    /**
     * 涉诉（原告）
     */
    @TableField("documnet_yuan_gao")
    private Integer documnetYuanGao;
    /**
     * 金融机构涉诉
     */
    @TableField("document_finance")
    private Integer documentFinance;

    /**
     * 问题
     */
    @TableField(exist = false)
    private String question;

    /**
     * 是否存在民间借贷
     */
    @TableField(exist = false)
    private Integer privateLendings;
    /**
     * 是否存在严重违法
     */
    @TableField(exist = false)
    private Integer seriousIllegalities;
    /**
     * 是否存在欠税公告
     */
    @TableField(exist = false)
    private Integer taxOweNotices;
    /**
     * 是否存在税收违法
     */
    @TableField(exist = false)
    private Integer taxIllegalData;
    /**
     * 是否存在黑名单
     */
    @TableField(exist = false)
    private Integer blacklists;
    /**
     * 是否存在其他经营异常
     */
    @TableField(exist = false)
    private Integer exceptionData;
    /**
     * 是否存在重大负面新闻舆情
     */
    @TableField(exist = false)
    private Integer news;
    /**
     * 征信报告
     */
    @TableField(exist = false)
    private List<FileStorage> creditDetailFiles;
    @TableField(exist = false)
    private VideoDueDiligenceCorporateGoodwill videoDueDiligenceCorporateGoodwill;

    public VideoDueDiligenceCorporateGoodwill getVideoDueDiligenceCorporateGoodwill() {
        return videoDueDiligenceCorporateGoodwill;
    }

    public void setVideoDueDiligenceCorporateGoodwill(VideoDueDiligenceCorporateGoodwill videoDueDiligenceCorporateGoodwill) {
        this.videoDueDiligenceCorporateGoodwill = videoDueDiligenceCorporateGoodwill;
    }

    public List<FileStorage> getCreditDetailFiles() {
        return creditDetailFiles;
    }

    public void setCreditDetailFiles(List<FileStorage> creditDetailFiles) {
        this.creditDetailFiles = creditDetailFiles;
    }

    public Integer getPrivateLendings() {
        return privateLendings;
    }

    public void setPrivateLendings(Integer privateLendings) {
        this.privateLendings = privateLendings;
    }

    public Integer getSeriousIllegalities() {
        return seriousIllegalities;
    }

    public void setSeriousIllegalities(Integer seriousIllegalities) {
        this.seriousIllegalities = seriousIllegalities;
    }

    public Integer getTaxOweNotices() {
        return taxOweNotices;
    }

    public void setTaxOweNotices(Integer taxOweNotices) {
        this.taxOweNotices = taxOweNotices;
    }

    public Integer getTaxIllegalData() {
        return taxIllegalData;
    }

    public void setTaxIllegalData(Integer taxIllegalData) {
        this.taxIllegalData = taxIllegalData;
    }

    public Integer getBlacklists() {
        return blacklists;
    }

    public void setBlacklists(Integer blacklists) {
        this.blacklists = blacklists;
    }

    public Integer getExceptionData() {
        return exceptionData;
    }

    public void setExceptionData(Integer exceptionData) {
        this.exceptionData = exceptionData;
    }

    public Integer getNews() {
        return news;
    }

    public void setNews(Integer news) {
        this.news = news;
    }

    public Integer getShiXin() {
        return shiXin;
    }

    public void setShiXin(Integer shiXin) {
        this.shiXin = shiXin;
    }

    public Integer getHistoryShiXin() {
        return historyShiXin;
    }

    public void setHistoryShiXin(Integer historyShiXin) {
        this.historyShiXin = historyShiXin;
    }

    public Integer getZhiXing() {
        return zhiXing;
    }

    public void setZhiXing(Integer zhiXing) {
        this.zhiXing = zhiXing;
    }

    public Integer getHistoryZhiXing() {
        return historyZhiXing;
    }

    public void setHistoryZhiXing(Integer historyZhiXing) {
        this.historyZhiXing = historyZhiXing;
    }

    public Integer getGaoXiao() {
        return gaoXiao;
    }

    public void setGaoXiao(Integer gaoXiao) {
        this.gaoXiao = gaoXiao;
    }

    public Integer getHistoryGaoXiao() {
        return historyGaoXiao;
    }

    public void setHistoryGaoXiao(Integer historyGaoXiao) {
        this.historyGaoXiao = historyGaoXiao;
    }

    public Integer getPunish() {
        return punish;
    }

    public void setPunish(Integer punish) {
        this.punish = punish;
    }

    public BigDecimal getPunishAmount() {
        return punishAmount;
    }

    public void setPunishAmount(BigDecimal punishAmount) {
        this.punishAmount = punishAmount;
    }

    public Integer getDocumentTotal() {
        return documentTotal;
    }

    public void setDocumentTotal(Integer documentTotal) {
        this.documentTotal = documentTotal;
    }

    public Integer getDocumnetBeiGao() {
        return documnetBeiGao;
    }

    public void setDocumnetBeiGao(Integer documnetBeiGao) {
        this.documnetBeiGao = documnetBeiGao;
    }

    public Integer getDocumnetYuanGao() {
        return documnetYuanGao;
    }

    public void setDocumnetYuanGao(Integer documnetYuanGao) {
        this.documnetYuanGao = documnetYuanGao;
    }

    public Integer getDocumentFinance() {
        return documentFinance;
    }

    public void setDocumentFinance(Integer documentFinance) {
        this.documentFinance = documentFinance;
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public BigDecimal getRecoveredBalanceScore() {
        return recoveredBalanceScore;
    }

    public void setRecoveredBalanceScore(BigDecimal recoveredBalanceScore) {
        this.recoveredBalanceScore = recoveredBalanceScore;
    }

    public BigDecimal getConcernedAccountsWithOutstandingCreditScore() {
        return concernedAccountsWithOutstandingCreditScore;
    }

    public void setConcernedAccountsWithOutstandingCreditScore(BigDecimal concernedAccountsWithOutstandingCreditScore) {
        this.concernedAccountsWithOutstandingCreditScore = concernedAccountsWithOutstandingCreditScore;
    }

    public BigDecimal getOutstandingNonPerformingAccountsScore() {
        return outstandingNonPerformingAccountsScore;
    }

    public void setOutstandingNonPerformingAccountsScore(BigDecimal outstandingNonPerformingAccountsScore) {
        this.outstandingNonPerformingAccountsScore = outstandingNonPerformingAccountsScore;
    }

    public BigDecimal getOutstandingBalanceScore() {
        return outstandingBalanceScore;
    }

    public void setOutstandingBalanceScore(BigDecimal outstandingBalanceScore) {
        this.outstandingBalanceScore = outstandingBalanceScore;
    }

    public BigDecimal getShiXinScore() {
        return shiXinScore;
    }

    public void setShiXinScore(BigDecimal shiXinScore) {
        this.shiXinScore = shiXinScore;
    }

    public BigDecimal getZhiXingScore() {
        return zhiXingScore;
    }

    public void setZhiXingScore(BigDecimal zhiXingScore) {
        this.zhiXingScore = zhiXingScore;
    }

    public BigDecimal getSumptuaryScore() {
        return sumptuaryScore;
    }

    public void setSumptuaryScore(BigDecimal sumptuaryScore) {
        this.sumptuaryScore = sumptuaryScore;
    }

    public BigDecimal getAdministrativePenaltyScore() {
        return administrativePenaltyScore;
    }

    public void setAdministrativePenaltyScore(BigDecimal administrativePenaltyScore) {
        this.administrativePenaltyScore = administrativePenaltyScore;
    }

    public BigDecimal getInvolvingLawsuitsScore() {
        return involvingLawsuitsScore;
    }

    public void setInvolvingLawsuitsScore(BigDecimal involvingLawsuitsScore) {
        this.involvingLawsuitsScore = involvingLawsuitsScore;
    }

    public BigDecimal getSeriousIllegalityScore() {
        return seriousIllegalityScore;
    }

    public void setSeriousIllegalityScore(BigDecimal seriousIllegalityScore) {
        this.seriousIllegalityScore = seriousIllegalityScore;
    }

    public BigDecimal getTaxOweNoticeScore() {
        return taxOweNoticeScore;
    }

    public void setTaxOweNoticeScore(BigDecimal taxOweNoticeScore) {
        this.taxOweNoticeScore = taxOweNoticeScore;
    }

    public BigDecimal getTaxIllegalDataScore() {
        return taxIllegalDataScore;
    }

    public void setTaxIllegalDataScore(BigDecimal taxIllegalDataScore) {
        this.taxIllegalDataScore = taxIllegalDataScore;
    }

    public BigDecimal getBlacklistScore() {
        return blacklistScore;
    }

    public void setBlacklistScore(BigDecimal blacklistScore) {
        this.blacklistScore = blacklistScore;
    }

    public BigDecimal getExceptionDataScore() {
        return exceptionDataScore;
    }

    public void setExceptionDataScore(BigDecimal exceptionDataScore) {
        this.exceptionDataScore = exceptionDataScore;
    }

    public BigDecimal getNewsScore() {
        return newsScore;
    }

    public void setNewsScore(BigDecimal newsScore) {
        this.newsScore = newsScore;
    }

    public Long getFileId() {
        return fileId;
    }

    public void setFileId(Long fileId) {
        this.fileId = fileId;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }

    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }

    public Integer getRecoveredBalance() {
        return recoveredBalance;
    }

    public void setRecoveredBalance(Integer recoveredBalance) {
        this.recoveredBalance = recoveredBalance;
    }

    public Integer getConcernedAccountsWithOutstandingCredit() {
        return concernedAccountsWithOutstandingCredit;
    }

    public void setConcernedAccountsWithOutstandingCredit(Integer concernedAccountsWithOutstandingCredit) {
        this.concernedAccountsWithOutstandingCredit = concernedAccountsWithOutstandingCredit;
    }

    public Integer getOutstandingNonPerformingAccounts() {
        return outstandingNonPerformingAccounts;
    }

    public void setOutstandingNonPerformingAccounts(Integer outstandingNonPerformingAccounts) {
        this.outstandingNonPerformingAccounts = outstandingNonPerformingAccounts;
    }

    public BigDecimal getOutstandingBalance() {
        return outstandingBalance;
    }

    public void setOutstandingBalance(BigDecimal outstandingBalance) {
        this.outstandingBalance = outstandingBalance;
    }

    @Override
    public String toString() {
        return "CorporateGoodwill{" +
                "cSupplierInfoId=" + cSupplierInfoId +
                ", cEnterpriseId=" + cEnterpriseId +
                ", recoveredBalance=" + recoveredBalance +
                ", concernedAccountsWithOutstandingCredit=" + concernedAccountsWithOutstandingCredit +
                ", outstandingNonPerformingAccounts=" + outstandingNonPerformingAccounts +
                ", outstandingBalance=" + outstandingBalance +
                "}";
    }
}
